%define daemon_group apache
%define daemon_user monitor
%define daemon_home /opt/monitor
%define daemon_shell /bin/bash
%define daemon_uid 299
%define sudo_dir %_sysconfdir/sudoers.d

Name: op5-monitor-user
Summary: Meta package that sets up op5 Monitor daemon user
Group: op5/Monitor
License: op5 Software License
Version: %{op5version}
Release: %{op5release}%{?dist}
# To make ensure that the required groups have been created
Requires: op5-monitor-supported-webserver
Requires: sudo
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Obsoletes: op5-monitor-user-slim
BuildRequires: m4

%description
This meta package creates a local daemon user and group which is
used to run op5 Monitor.


%if 0%{?rhel} == 7
%package slim
Summary: Meta package that sets up op5 Monitor daemon user
Requires: sudo
Provides: op5-monitor-user = %version

%description slim
This meta package creates a local daemon user and group which is
used to run op5 Monitor.
%endif

%prep
%setup -q

%pre
getent passwd %daemon_user >/dev/null || \
	useradd -g %daemon_group -u %daemon_uid -d %daemon_home -s %daemon_shell \
	--no-user-group --system %daemon_user
# Create group with same name as user, but set it as supplementary member group
# for now and keep apache as primary group.
getent group %daemon_user >/dev/null || groupadd -f -r -g %daemon_uid %daemon_user
usermod --append --groups %daemon_user %daemon_user || :

%if 0%{?rhel} == 7
%pre slim
# For the slim package we don't add the apache group, as we do not have httpd
getent group %daemon_user >/dev/null || groupadd -f -r -g %daemon_uid %daemon_user
getent passwd %daemon_user >/dev/null || \
	useradd -g %daemon_user -u %daemon_uid -d %daemon_home -s %daemon_shell \
	--no-user-group --system %daemon_user
%endif

%build
m4 -D SERVICE_GROUP=%daemon_user sudoers.m4 > sudoers

%install
%__install -D -m 0440 sudoers %buildroot%sudo_dir/%daemon_user
%__install -d %buildroot%daemon_home
%__install -d -m 775 %buildroot%_localstatedir/log/op5

%files
%dir %daemon_home
%dir %attr(-, %daemon_user, %daemon_group) %_localstatedir/log/op5
%sudo_dir/%daemon_user

%if 0%{?rhel} == 7
%files slim
%sudo_dir/%daemon_user
%endif

%clean
rm -rf %buildroot
